
Katello - Feature #37383

Add Include Refs and Exclude Refs options for OSTree repository type

04/24/2024 10:06 PM - Lukas Magauer

Status: Ready For Testing   

Priority: Normal   

Assignee: Lukas Magauer   

Category: Repositories   

Target version: Katello Next   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 4.12.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/109
Description

Due to the tests for https://community.theforeman.org/t/foreman-and-fedora-silverblue-clients/37744 I noticed that it takes days to

sync the Fedora OSTree endpoint,

this happens because the Fedora endpoint houses all old, new versions and variants.

As far as I could see Pulp3 is capable of setting include_refs and exclude_refs for OSTree repository remotes, this would be a good

addition to have available in Katello.

I've started to look into this already, and looks like it should be a rather easy addition.

History

#1 - 04/27/2024 09:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10980 added

#2 - 05/01/2024 05:40 PM - Quinn James

- Target version set to Katello Next

- Triaged changed from No to Yes

Powered by TCPDF (www.tcpdf.org)

05/09/2024 1/1

https://community.theforeman.org/t/foreman-and-fedora-silverblue-clients/37744
http://www.tcpdf.org

